<?php 
use_helper('UrlFunctions'); 
use_helper('UtilFunctions'); 

function getColaboradorxCliente($idcliente){
	//Para asignar el colaborador por el mercado donde esta asignado el idcliente
  	$o_ClienteBean = new ClienteBean();
  	$o_ClienteBean->setIdCliente($idcliente);
  	
  	$o_ClienteDP = new ClienteDP($o_ClienteBean);
  	$a_clientes = $o_ClienteDP->select();
  	if(is_array($a_clientes)){
  		foreach ($a_clientes as $key => $o_cliente){
  			$idMercado = $o_cliente->getIdMercado();
  		}
  	}
	
  	$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
  	$o_MercadoRepresentanteBean->setIdMercado($idMercado);
  	$o_MercadoRepresentanteDP = new MercadoRepresentanteDP($o_MercadoRepresentanteBean);
  	$a_MercadoRepresentante = $o_MercadoRepresentanteDP->select();
  	if(is_array($a_MercadoRepresentante)){
  		foreach ($a_MercadoRepresentante as $key => $o_MercadoRepresentante){
  			$IdColaborador = $o_MercadoRepresentante->getIdColaborador();
  		}
  	}
  	return $IdColaborador;

  	//
}

if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
 
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
 }
$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
	
$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();


if($control){//cuando se hizo el submit
	
	if(!$IdCliente) exit("No hay codigo de cliente");
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdCliente($IdCliente);
    $o_PrestamoBean->setMontoPrestado($txtCapital);
    $o_PrestamoBean->setFechaInicio($fecha);
    $o_PrestamoBean->setInteresPorcentaje($cboInteres);
    $montoTotal = round($txtCapital*($cboInteres/100+1),1);
    /*$tope_minimo = floor($txtCapital*($cboInteres/100+1));
    $diferencia = round($montoTotal,2) - $tope_minimo;
    if($diferencia){
	    if($diferencia < 0.5){
	    	$montoTotal =  $tope_minimo + 0.5;
	    }else{
	    	$montoTotal =  $tope_minimo + 1;		
	    }
    }*/
    
    $SaldoPrestamo = $montoTotal;
    $o_PrestamoBean->setMontoTotal($montoTotal);
    $o_PrestamoBean->setGastoAdministrativo($txtGastoAdministrativo);
    $o_PrestamoBean->setPeriodicidadPago($cboFormaPago);
    $o_PrestamoBean->setSaldoPrestamo($SaldoPrestamo);
    $o_PrestamoBean->setDuracion($cboDuracion);
    $o_PrestamoBean->setFlagReporte("2");
    
    switch ($cboFormaPago){
    	case "D" : 
    			$fechaPago  =  date('Y-m-d',strtotime($fecha.' +1 days'));
    			switch ($cboDuracion){
    				/**********************/
    				case 7 :  $MontoCuota = round($montoTotal/5,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +7 days'));
    						  $NroCuotas=5; break;
    				/*********************/
    				case 15 : $MontoCuota = round($montoTotal/13,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +15 days'));
    						  $NroCuotas=13; break;
    				case 30 : $MontoCuota = round($montoTotal/26,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=26; break;
    				case 45 : $MontoCuota = round($montoTotal/39,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +45 days'));
    						  $NroCuotas=39; break;
    				case 60 : $MontoCuota = round($montoTotal/52,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=52; break;
    				case 75 : $MontoCuota = round($montoTotal/65,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +75 days'));
    						  $NroCuotas=65; break;
    				case 90 : $MontoCuota = round($montoTotal/88,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=88; break;
    			}
    			break;
    	case "S":
    			$fechaPago  =  date('Y-m-d',strtotime($fecha.' +7 days'));
    			switch ($cboDuracion){
    				/**********************/
    				case 7 :  $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +7 days'));
    						  $NroCuotas=1; break;
    				/*********************/
    				case 15 : $MontoCuota = round($montoTotal/2,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +15 days'));
    						  $NroCuotas=2; break;
    				case 30 : $MontoCuota = round($montoTotal/4,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=4; break;
    				case 45 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +45 days'));
    						  $NroCuotas=6; break;
    				case 60 : $MontoCuota = round($montoTotal/8,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=8; break;
    				case 75 : $MontoCuota = round($montoTotal/10,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +75 days'));
    						  $NroCuotas=10; break;
    				case 90 : $MontoCuota = round($montoTotal/12,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=12; break;
    			}
    			break;
    	case "Q":
    			$fechaPago  =  date('Y-m-d',strtotime($fecha.' +15 days'));
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +15 days'));
    						  $NroCuotas=1; break;
    				case 30 : $MontoCuota = round($montoTotal/2,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=2; break;
    				case 45 : $MontoCuota = round($montoTotal/3,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +45 days'));
    						  $NroCuotas=3; break;
    				case 60 : $MontoCuota = round($montoTotal/4,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=4; break;
    				case 75 : $MontoCuota = round($montoTotal/5,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +75 days'));
    						  $NroCuotas=5; break;
    				case 90 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=6; break;
    			}
    			break;
    	case "M":
    			$fechaPago  =  date('Y-m-d',strtotime($fecha.' +30 days'));
    			switch ($cboDuracion){	
    				
    				case 30 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=1; break;
    				case 60 : $MontoCuota = round($montoTotal/2,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=2; break;
    				case 90 : $MontoCuota = round($montoTotal/3,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=3; break;
    			}
    			break;
    }
    if($cboDuracion){
    $o_PrestamoBean->setCuotaPago($MontoCuota);
    $o_PrestamoBean->setFechaInicioPago($fechaPago);
    $o_PrestamoBean->setFechaVencimiento($fechaVencimiento);
    $InteresMonto=$montoTotal-$txtCapital;
    $o_PrestamoBean->setInteresMonto($InteresMonto);
    $o_PrestamoBean->setNroCuotas($NroCuotas);
    $o_PrestamoBean->setObservacion($txtObservacion);
    $o_PrestamoBean->setOrigen("R");
    
    $o_PrestamoBean->setFechaCreacion(date("Y-m-d H:i:s"));
  	$o_PrestamoBean->setUsuarioCreacion(myUser::getUser()->getUserId());
    
    $idColaboradorP 	= getColaboradorxCliente($IdCliente);
    $o_PrestamoBean->setIdColaborador($idColaboradorP);
    $o_PrestamoBL = new PrestamoBL();
    $bResult = $o_PrestamoBL->insertarPrestamo($o_PrestamoBean);
    }
    if($bResult){
    	procesoCalculoCronograma($bResult,1);
    ?>
       <script language="JavaScript">
	    parent.objMainTab.reqBody('<?=buildUrl('ipe/list_res')?>','&block=001&insert=1&id=<?=$o_PrestamoBean->getIdPrestamo()?>');
	    parent.objMainTab.windowsCloseAll();
    </script>
    <?
    }
}
  
  


if($idCliente){
	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($idCliente);
	$o_class = new ClienteBL();
	$a_ObjectBean = $o_class->busquedaCliente($o_ClienteBean);

	if(is_array($a_ObjectBean)){
  		while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  			$IdMercado = $o_ObjectBean->getIdMercado();
  			$Nombre = $o_ObjectBean->getNombreCompleto();
  			
		  	$o_MercadoBean = new MercadoBean();
			$o_MercadoBean->setIdMercado($IdMercado);
			$o_class = new MercadoBL();
			$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
  			$NombreMercado = $ObjectBean[0]->getDescripcion();
  		}
	}
  	
}

$o_PrestamoBean = new PrestamoBean();
$o_PrestamoBean->setIdCliente($idCliente);
$o_PrestamoBean->setEstado("P");
$o_PrestamoDP	= new PrestamoDP($o_PrestamoBean);
$PrestamosPendientes = $o_PrestamoDP->selectNumRows();

?>

<script>

function cacularTotal(){
	monto = $('txtCapital').value;
	if( monto != ""){
		monto = parseFloat(monto);
	}else{
		monto = 0;
	}
	if($('cboInteres').selectedIndex > 0){
		interes = parseFloat($('cboInteres').value);
	}else{
		interes = 0;
	}
	
	if ($('cboFormaPago').selectedIndex > -1){
		
		switch ($('cboFormaPago').value){
			 
	    	case "D" : 
	    	
	    	      if ($('cboDuracion').selectedIndex > -1){
	    	      	
	    	      	   /***************/   
	    	      	    if (parseFloat($('cboDuracion').value)=='7'){	
						   Duracion = 5;
						}  
	    	      	   
	    	      	   /***************/
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
						Duracion = 13;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 26;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 39;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 52;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 65;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion =82;
						}
	    	       }
	    			break;
	    	case "S":
	    	
	    		 if ($('cboDuracion').selectedIndex > -1){
	    		 	
	    	      	   /***************/   
	    	      	    if (parseFloat($('cboDuracion').value)=='7'){	
						   Duracion = 1;
						}  
	    	      	   
	    	      	   /***************/   
	    		 	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 6;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 8;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 10;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 12;
						}
		    		}

	    			break;
	    	case "Q":
	    	        
	    	        if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 3;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 5;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 6;
						}
		    		}
	    	      
	    			break;
	    	case "M":
	    			
	    			 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 3;
						}
		    		}
	    			
	    			break;
	    }
	}else{
		Duracion = 0;
	}
	$('lblRedondeo').innerHTML = '';
	
	tope_minimo = Math.floor((monto*(interes/100 + 1)));
	
	//diferencia = (monto*(interes/100 + 1)).toFixed('2') - tope_minimo;
		
	montoTotal = (monto*(interes/100 + 1)).toFixed('2');
	
	//if(diferencia > 0){
		//if(diferencia > 0.5){
			//difRedondeo = 1 - diferencia.toFixed('2');
			//montoTotal =  parseFloat(tope_minimo) + 1;
		//}else{
			//montoTotal =  parseFloat(tope_minimo) + 0.50;
			//difRedondeo = 0.5 - diferencia.toFixed('2');
		//}		
		//$('lblRedondeo').innerHTML = '';//'&nbsp;Redondeo : '+ difRedondeo.toFixed('2');
	//}
	
	montoTotalFinal = parseFloat(montoTotal);
	$('txtMontoTotal').value = montoTotalFinal.toFixed('2');
	$('txtCuotaPago').value = ((montoTotalFinal)/Duracion).toFixed('2') ;
}

validateControls = function(){
  var errOutput               = { error:false, msg:"" };
   
 
  var valueTipo               = $('cboTipoTesis'); 
  //var valueTitulo             = $('txtTitulo');
    
  //var valueFechaPublicacion   = $('FechaPublicacion');
  //var valueFin      = $('txtFecFin');
  
 /* if(valueTitulo.value == ""){
    errOutput.error = true;
    errOutput.msg   += "Debe de digitar el titulo.\n";
  }*/
  if(valueTipo.value == ""){
    errOutput.error = true;
    errOutput.msg   += "Debe de seleccionar el tipo.\n";
  }
  return errOutput;
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}


</script>

<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
</script>
<!--
<script>
validateControls = function(){
  var errOutput         = { error:false, msg:"" };

  return errOutput;
}
</script>-->

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>
insertOptionDefault = function(){
  
  var table = $('tableContent');
  var countRows = table.rows.length;
  
  var tr = table.rows[countRows-1];
  var td = tr.cells[1];
  var idSelect = td.firstChild.id;
  
  values = [[idSelect,'alm_;_Alumno']];
  
  
  actualizaJSON('', values);
  
}
</script>

<script>
events = function(type){
  oReturn = validateControls();
  if(!oReturn.error){
    switch (type){
      case 'submit':
        if(grid.getCountRows() > 1){
          if(grid.validateRows()){
            disabledWin.show(true,true,'idGrid')
            $('form1').submit();
          }else{
            alert("Verifique el formulario.");
          }
        }else{
          elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Tiene que Ingresar detalles.'); setTimeout('elementLoad.hide()',3000);
        }
      break;
      case 'insert':
        grid.insert();
        insertOptionDefault();
      break;
      case 'delete':
        grid.deletes();
      break;
    }
  }else{
    alert(oReturn.msg);
    return false;
  }
}
</script>

<script>
buscaDetalle = function(e,elm){
  var charCode;
  if (navigator.appName == "Mozilla" || navigator.appName == "Netscape"){
    charCode = e.keyCode;
  }else{
    charCode = event.keyCode;
  }
  if (charCode == 114){
    
    var parentTr      = elm.parentNode.parentNode.id;
    var valueSelect   = $(parentTr + "_td_1_tipo[]").value;
    var url           = "";
    
    if(valueSelect != ""){
      switch (valueSelect){
        case 'doc':
          url = '<?=buildUrlComplet('mnt.php/doc/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Docente';
        break;
        case 'alm':
          url = '<?=buildUrlComplet('mnt.php/alm/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Alumno';
        break;
        case 'ext':
          url = '<?=buildUrlComplet('mnt.php/ext/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Externo';
        break;
      }
      parent.objMainTab.modalDialog(url,{title:'Busqueda de '+ tit,width:600,height:420});
    }else{
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Seleccione el tipo para el ListFind.'); setTimeout('elementLoad.hide()', 1000);
    }
  }
}
</script>

<script>
actionSelect = function(elm){
  
  var parentTr      = elm.parentNode.parentNode.id;
  
  $(parentTr + "_td_2_codigo[]").value = "";
  $(parentTr + "_td_3").innerHTML = "&nbsp;";
  $(parentTr + "_td_4_part[]").value = "";
  
}

actionCod = function(elm){

  elm       = $(elm);
  elm.value = elm.value.trim();
  var elmValue = elm.value;
  
  parentTr = elm.parentNode.parentNode.id;
  
  elmDestino = parentTr + "_td_3";
  
  if(elmValue != ""){
    
    if(!grid.validateByColumn(1, elm, 'INPUT')){
    
      var parentTr      = elm.parentNode.parentNode.id;
      var valueSelect   = $(parentTr + "_td_1_tipo[]").value;
      
      $(elmDestino).innerHTML = "&nbsp;";
      formItem.loadProcess(parentTr + "_td_3");
      actualizarElementos(elmValue, elmDestino, valueSelect);
      
    }else{
      
      elm.value = "";
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;El Cidigo ya fue Ingresado'); setTimeout('elementLoad.hide()', 1000);
      $(elmDestino).innerHTML = "&nbsp;";
      
    }
    
  }
  
}
</script>


<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Prestamo</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Nuevo Prestamo</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Cliente</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Prestamo</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaInicial" >Fecha de Inicio</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><b><?php echo $fecha?></b></label></td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="12%" class="cabecera"><label>T.Pendientes</label></td>
								<td nowrap="nowrap" width="38%"><label class="label">&nbsp;:&nbsp;<b><?=$PrestamosPendientes?></b></label></td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td nowrap="nowrap">&nbsp;:&nbsp;<input class="text required" type="text" name="txtCapital" id="txtCapital" size="15" maxlength="20" onkeyup="cacularTotal()" style="text-align:right;"/></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Inter&eacute;s(%)</label></td>
								<td nowrap="nowrap">&nbsp;:&nbsp;<select name="cboInteres" id="cboInteres" class="combo required" onchange="cacularTotal();">
										<option value="">-Seleccione-</option>
										<?php 
										for($i=0;$i<=60;$i=$i + 0.5){?>
										<option value="<?php echo $i?>" style="text-align:right;"><?php echo $i."%"?></option>
										<?php	
										}
										?>
									</select>
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td nowrap="nowrap">&nbsp;:&nbsp;<input class="text" type="text" name="txtMontoTotal" id="txtMontoTotal" size="15" maxlength="20" readonly='readonly' style="text-align:right;" /><label class="label" id="lblRedondeo"></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Gasto Admin.</label></td>
								<td nowrap="nowrap">&nbsp;:&nbsp;<input class="text" type="text" name="txtGastoAdministrativo" id="txtGastoAdministrativo" size="15" maxlength="20" /></td>
							  </tr>
							  
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Forma Pago</label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
								   <select name="cboFormaPago" id="cboFormaPago" type="text" class="combo required" onchange="cacularTotal();"/> 
									  
									  <option value="D">Diario</option>
									  <option value="S">Semanal</option>
									  <option value="Q">Quincenal</option>
									  <option value="M">Mensual</option>
							  		</select>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Duraci&oacute;n </label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
								     <select name="cboDuracion" id="cboDuracion" type="text" class="combo required" onchange="cacularTotal();"/> 
									      <option value="7">7 Dias</option>
										  <option value="15">15 Dias</option>
										  <option value="30" selected='selected'>30 Dias</option>
										  <option value="45">45 Dias</option>
										  <option value="60">60 Dias</option>
										  <option value="75">75 Dias</option>
										  <option value="90">90 Dias</option>
								    </select>
								   <!--<select name="cboDuracion" id="cboDuracion" type="text" class="combo required" onchange="cacularTotal();"/> 
									 
									  <?php for($i=1;$i<=15;$i++){?>
									  		<option value="<?php echo $i*15?>" <?php if($i*15==30) echo " selected ='selected'"?>><?php echo ($i*15)."&nbsp;d&iacute;as"?></option>>
									  <?php }?>
							  		</select>-->
								</td>
							  </tr>
							   <tr>
							     <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Cuota Pago</label></td>
								<td nowrap="nowrap">&nbsp;:&nbsp;<input class="text" type="text" name="txtCuotaPago" id="txtCuotaPago" size="15" maxlength="20" readonly='readonly' style="text-align:right;" /></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							   </tr>
							  <!--<tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtObservacion">Comentario</label></td>
								<td nowrap="nowrap" colspan="3" >&nbsp;&nbsp;<textarea  name="txtObservacion" id="txtObservacion" cols="60" rows="3" ></textarea></td>
							  </tr>-->
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					 <td><img src="/images/common/spacer.gif" width="10"></td>
				  </tr>
				  <tr>
					<td align="center">
					  <input type="hidden" name="typeSubmit" id="typeSubmit">
					  <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado?>">
					  <input type="hidden" name="IdCliente" id="IdCliente" value="<?php echo $idCliente?>">
					  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
					  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
					  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
					</td>
				  </tr>
				  <tr>
					<td height="10">&nbsp;</td>
				  </tr>
				</table>
    					</fieldset>				
    		    </td>
               </tr>
    	     </table>
         </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
